---------------------
PatchSet 8253 
Date: 2006/06/18 12:21:46
Author: serassio
Branch: nt
Tag: (none) 
Log:
Added digest helpers to Visual Studio project

Members: 
	port/win32/.cvsignore:1.1.32.2->1.1.32.3 
	port/win32/Makefile.am:1.1.14.3->1.1.14.4 
	port/win32/squid.dsw:1.1.38.4->1.1.38.5 
	port/win32/update.cmd:1.1.36.5->1.1.36.6 
	port/win32/digest_ldap_auth/.cvsignore:1.1->1.1.2.1 
	port/win32/digest_ldap_auth/digest_ldap_auth.dsp:1.1->1.1.2.1 
	port/win32/digest_pw_auth/.cvsignore:1.1->1.1.2.1 
	port/win32/digest_pw_auth/digest_pw_auth.dsp:1.1->1.1.2.1 

Index: squid/port/win32/.cvsignore
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/.cvsignore,v
retrieving revision 1.1.32.2
retrieving revision 1.1.32.3
diff -u -r1.1.32.2 -r1.1.32.3
--- squid/port/win32/.cvsignore	2 Jun 2006 11:57:46 -0000	1.1.32.2
+++ squid/port/win32/.cvsignore	18 Jun 2006 12:21:46 -0000	1.1.32.3
@@ -1,4 +1,5 @@
 Debug
 Release
+Makefile
 Makefile.in
 squid_version.mak
\ No newline at end of file
Index: squid/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/Makefile.am,v
retrieving revision 1.1.14.3
retrieving revision 1.1.14.4
diff -u -r1.1.14.3 -r1.1.14.4
--- squid/port/win32/Makefile.am	2 Jun 2006 11:57:46 -0000	1.1.14.3
+++ squid/port/win32/Makefile.am	18 Jun 2006 12:21:47 -0000	1.1.14.4
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1.14.3 2006/06/02 11:57:46 serassio Exp $
+# $Id: Makefile.am,v 1.1.14.4 2006/06/18 12:21:47 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -8,6 +8,8 @@
 	Build.dsp \
 	cf_data.dsp \
 	default_config_file.cmd \
+	digest_ldap_auth/digest_ldap_auth.dsp \
+	digest_pw_auth/digest_pw_auth.dsp \
         doc.dsp \
 	icons.cmd \
 	icons.dsp \
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.38.4
retrieving revision 1.1.38.5
diff -u -r1.1.38.4 -r1.1.38.5
--- squid/port/win32/squid.dsw	2 Jun 2006 11:57:46 -0000	1.1.38.4
+++ squid/port/win32/squid.dsw	18 Jun 2006 12:21:47 -0000	1.1.38.5
@@ -59,6 +59,12 @@
     Begin Project Dependency
     Project_Dep_Name negotiate_auth
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name digest_ldap_auth
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name digest_pw_auth
+    End Project Dependency
 }}}
 
 ###############################################################################
@@ -168,6 +174,36 @@
 
 ###############################################################################
 
+Project: "digest_ldap_auth"=".\digest_ldap_auth\digest_ldap_auth.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
+Project: "digest_pw_auth"=".\digest_pw_auth\digest_pw_auth.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "dnsserver"=".\dnsserver\dnsserver.dsp" - Package Owner=<4>
 
 Package=<5>
Index: squid/port/win32/update.cmd
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/update.cmd,v
retrieving revision 1.1.36.5
retrieving revision 1.1.36.6
diff -u -r1.1.36.5 -r1.1.36.6
--- squid/port/win32/update.cmd	16 Jun 2006 17:47:25 -0000	1.1.36.5
+++ squid/port/win32/update.cmd	18 Jun 2006 12:21:47 -0000	1.1.36.6
@@ -17,12 +17,14 @@
 copy %0\..\dnsserver\%1\dnsserver.exe %2\libexec\dnsserver.exe
 if exist %0\..\pinger\%1\pinger.exe copy %0\..\pinger\%1\pinger.exe %2\libexec\pinger.exe
 copy %0\..\squidclient\%1\squidclient.exe %2\bin\squidclient.exe
-copy %0\..\fake_auth\%1\fake_auth.exe %2\libexec\fakeauth_auth.exe
+copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\squid_ldap_auth.exe
 copy %0\..\nt_auth\%1\nt_auth.exe %2\libexec\mswin_auth.exe
 copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
+copy %0\..\digest_ldap_auth\%1\digest_ldap_auth.exe %2\libexec\digest_ldap_auth.exe
+copy %0\..\digest_pw_auth\%1\digest_pw_auth.exe %2\libexec\digest_pw_auth.exe
+copy %0\..\fake_auth\%1\fake_auth.exe %2\libexec\fakeauth_auth.exe
 copy %0\..\ntlm_win32_auth\%1\ntlm_win32_auth.exe %2\libexec\mswin_ntlm_auth.exe
 copy %0\..\negotiate_auth\%1\negotiate_auth.exe %2\libexec\mswin_negotiate_auth.exe
-copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\squid_ldap_auth.exe
 copy %0\..\ldap_group\%1\ldap_group.exe %2\libexec\squid_ldap_group.exe
 copy %0\..\win32_check_group\%1\win32_check_group.exe %2\libexec\mswin_check_lm_group.exe
 copy %0\..\ip_user_check\%1\ip_user_check.exe %2\libexec\ip_user_check.exe
--- /dev/null	Wed Feb 14 01:16:28 2007
+++ squid/port/win32/digest_ldap_auth/.cvsignore	Wed Feb 14 01:16:28 2007
@@ -0,0 +1,3 @@
+.cvsignore
+Debug
+Release
--- /dev/null	Wed Feb 14 01:16:28 2007
+++ squid/port/win32/digest_ldap_auth/digest_ldap_auth.dsp	Wed Feb 14 01:16:28 2007
@@ -0,0 +1,116 @@
+# Microsoft Developer Studio Project File - Name="digest_ldap_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=digest_ldap_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "digest_ldap_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "digest_ldap_auth.mak" CFG="digest_ldap_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "digest_ldap_auth - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "digest_ldap_auth - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "digest_ldap_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 Wldap32.lib ws2_32.lib psapi.lib /nologo /subsystem:console /machine:I386
+# SUBTRACT LINK32 /nodefaultlib
+
+!ELSEIF  "$(CFG)" == "digest_ldap_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /GZ /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 Wldap32.lib ws2_32.lib psapi.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# SUBTRACT LINK32 /nodefaultlib
+
+!ENDIF 
+
+# Begin Target
+
+# Name "digest_ldap_auth - Win32 Release"
+# Name "digest_ldap_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\ldap\digest_pw_auth.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\ldap\ldap_backend.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\ldap\digest_common.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\ldap\ldap_backend.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 01:16:28 2007
+++ squid/port/win32/digest_pw_auth/.cvsignore	Wed Feb 14 01:16:28 2007
@@ -0,0 +1,3 @@
+.cvsignore
+Debug
+Release
--- /dev/null	Wed Feb 14 01:16:28 2007
+++ squid/port/win32/digest_pw_auth/digest_pw_auth.dsp	Wed Feb 14 01:16:28 2007
@@ -0,0 +1,114 @@
+# Microsoft Developer Studio Project File - Name="digest_pw_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=digest_pw_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "digest_pw_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "digest_pw_auth.mak" CFG="digest_pw_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "digest_pw_auth - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "digest_pw_auth - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "digest_pw_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 ws2_32.lib psapi.lib /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "digest_pw_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /D _FILE_OFFSET_BITS=64 /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 ws2_32.lib psapi.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "digest_pw_auth - Win32 Release"
+# Name "digest_pw_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\password\digest_pw_auth.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\password\text_backend.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\password\digest_common.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\helpers\digest_auth\password\text_backend.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
